---
updatedAt: 2026-05-04T19:18:29.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# List scheduled Pix transfers

List scheduled Pix transfers with filtering options.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix payments",
    "description": "API to handle Pix transactions",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox-cdn.pismolabs.io",
      "description": "Sandbox API server for testing"
    },
    {
      "url": "https://sandbox-cdn.pismolabs.io/inst-pull-pay",
      "description": "Sandbox API server for testing instant pull pay."
    }
  ],
  "tags": [
    {
      "name": "Scheduled transfers V2"
    }
  ],
  "components": {
    "parameters": {
      "AfterIdQuery": {
        "in": "query",
        "name": "afterId",
        "description": "Last returned item ID from response. Use this field to return more results.",
        "required": false,
        "schema": {
          "type": "string"
        }
      },
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "BeginDateQuery": {
        "name": "beginDate",
        "in": "query",
        "description": "Begin date filter. RFC 3339 format. For example: `2023-04-12T23:20:50.52Z`. \n\nMaximum days allowed between `beginDate` and `endDate` is 30.\n",
        "required": true,
        "schema": {
          "type": "string"
        },
        "example": "2023-04-12T23:20:50.52Z"
      },
      "CIDheader": {
        "name": "x-cid",
        "description": "The Correlation ID UUID field links related API requests and events. The `x-cid` can help the Pismo engineering team track everything related to a call. If not passed, this field is automatically generated.\n",
        "in": "header",
        "required": false,
        "schema": {
          "type": "string"
        }
      },
      "EndDateQuery": {
        "name": "endDate",
        "in": "query",
        "description": "End date filter. RFC 3339 format. For example: `2023-04-12T23:20:50.52Z`. \n\nMaximum days allowed between `beginDate` and `endDate` is 30.\n",
        "required": true,
        "schema": {
          "type": "string"
        },
        "example": "2023-04-12T23:20:50.52Z"
      },
      "PerPageQuery": {
        "name": "perPage",
        "in": "query",
        "description": "Per page amount (min=1, max=100). Default is `20`.",
        "required": true,
        "schema": {
          "type": "string"
        }
      },
      "SchedulerStatusQuery": {
        "name": "status",
        "in": "query",
        "schema": {
          "type": "string",
          "enum": [
            "ACTIVE",
            "INACTIVE",
            "CANCELLED",
            "COMPLETED"
          ]
        },
        "description": "Scheduler status filter",
        "required": false,
        "example": "ACTIVE"
      }
    },
    "schemas": {
      "Amount": {
        "type": "number",
        "description": "Amount to be transferred.",
        "example": 1050.44
      },
      "customer.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.PayloadMessage"
            }
          }
        }
      },
      "customer.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error's code.",
            "example": "EPT0001"
          },
          "details": {
            "$ref": "#/components/schemas/customer.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error's message.",
            "example": "User not found"
          }
        }
      },
      "customer.ExternalMessage": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code.",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message.",
            "example": "Generic error"
          }
        }
      },
      "customer.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter field",
            "example": "Query parameter"
          },
          "message": {
            "type": "string",
            "description": "Message about parameter",
            "example": "Generic error"
          }
        }
      },
      "customer.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Payload parameter",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Message about error",
            "example": "Generic error"
          }
        }
      },
      "IsDeviceRegistered": {
        "type": "boolean",
        "description": "Is device registered to do a Pix-out transfer? Default is `true`.",
        "example": true
      },
      "LastID": {
        "type": "integer",
        "description": "Last returned item ID. Use this ID to get more results.\n",
        "example": 1602619
      },
      "NextPage": {
        "type": "boolean",
        "description": "Are tbere more results?",
        "example": false
      },
      "NumberElements": {
        "type": "number",
        "description": "Total items returned in query"
      },
      "PageSize": {
        "type": "number",
        "description": "Maximum elements returned per query."
      },
      "ProcessingType": {
        "type": "string",
        "description": "Scheduler processing type:\n\n* `ONCE` - A single scheduled transfer executed on `start_scheduler_date`.\n\n* `RECURRING` - Transfers created over time according to `cycle`, from `start_scheduler_date` until `end_scheduler_date`.\n\n* `PRESET` - **(Beta)** The caller pre-establishes all executions in the `scheduler_details.executions` list. `start_scheduler_date`/`end_scheduler_date` and `cycle` are **NOT** used - the schedule window is derived from the executions' `due_date`.\n",
        "enum": [
          "ONCE",
          "RECURRING",
          "PRESET"
        ],
        "example": "RECURRING"
      },
      "scheduler.CreatedAt": {
        "type": "string",
        "description": "Scheduled item creation time, RFC 3339 format",
        "example": "2024-11-14T17:54:40Z"
      },
      "scheduler.ItemQueryResponse": {
        "type": "object",
        "required": [
          "day_type",
          "end_date",
          "scheduler_id",
          "start_date",
          "status",
          "type"
        ],
        "properties": {
          "day_type": {
            "type": "string",
            "description": "Day type",
            "enum": [
              "BUSINESS",
              "CALENDAR"
            ],
            "example": "CALENDAR"
          },
          "cycle": {
            "$ref": "#/components/schemas/SchedulerCycle"
          },
          "is_device_registered": {
            "$ref": "#/components/schemas/IsDeviceRegistered"
          },
          "end_date": {
            "type": "string",
            "description": "End date, format = YYYY-MM-DD",
            "example": "2025-11-14"
          },
          "start_date": {
            "type": "string",
            "description": "Start date, format = YYYY-MM-DD",
            "example": "2024-11-14"
          },
          "scheduler_id": {
            "$ref": "#/components/schemas/SchedulerID"
          },
          "status": {
            "$ref": "#/components/schemas/SchedulerStatus2"
          },
          "type": {
            "$ref": "#/components/schemas/ProcessingType"
          },
          "amount": {
            "$ref": "#/components/schemas/Amount"
          },
          "description": {
            "type": "string",
            "description": "Item description",
            "example": "Weekly payment"
          },
          "continue_even_failed": {
            "type": "boolean",
            "description": "Continue on failure?",
            "default": false,
            "example": true
          },
          "execution_hour": {
            "type": "string",
            "description": "Scheduled execution hour, format = HH:MM:SS",
            "example": "17:56:00"
          },
          "retry_hour": {
            "type": "string",
            "description": "Scheduled retry hour, format = HH:MM:SS",
            "example": "20:00:00"
          },
          "check_interval": {
            "type": "string",
            "description": "Check scheduler interval in minutes.",
            "example": "10"
          },
          "created_at": {
            "$ref": "#/components/schemas/scheduler.CreatedAt"
          },
          "updated_at": {
            "$ref": "#/components/schemas/UpdatedAt"
          }
        }
      },
      "scheduler.SchedulerSearchQueryResponse2": {
        "type": "object",
        "properties": {
          "next_page": {
            "$ref": "#/components/schemas/NextPage"
          },
          "last_id": {
            "$ref": "#/components/schemas/LastID"
          },
          "page_size": {
            "$ref": "#/components/schemas/PageSize"
          },
          "number_elements": {
            "$ref": "#/components/schemas/NumberElements"
          },
          "filters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/scheduler.ItemQueryFilterResponse"
            }
          },
          "sorts": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/scheduler.ItemQuerySortResponse"
            }
          },
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/scheduler.ItemQueryResponse"
            }
          }
        }
      },
      "scheduler.ItemQueryFilterResponse": {
        "type": "object",
        "properties": {
          "label": {
            "type": "string",
            "description": "Field name",
            "example": "status"
          },
          "value": {
            "type": "string",
            "description": "Field's value",
            "example": "ACTIVE"
          },
          "operator": {
            "type": "string",
            "description": "Operator type",
            "example": "EQUAL"
          }
        }
      },
      "scheduler.ItemQuerySortResponse": {
        "type": "object",
        "properties": {
          "field": {
            "type": "string",
            "description": "Field name",
            "example": "status"
          },
          "order": {
            "type": "string",
            "description": "Order",
            "enum": [
              "ASC",
              "DESC"
            ],
            "example": "ASC"
          }
        }
      },
      "SchedulerCycle": {
        "type": "object",
        "description": "Cycle property present for scheduler `type` = `RECURRING`. Defaults to `MONTHLY`.\n",
        "properties": {
          "type": {
            "type": "string",
            "description": "Recurring cycle type",
            "enum": [
              "DAILY",
              "WEEKLY",
              "MONTHLY",
              "YEARLY"
            ],
            "example": "MONTHLY"
          },
          "count": {
            "type": "integer",
            "description": "Cycle count for generating new transactions. Each daily, weekly, monthly, or yearly occurrence is counted as one cycle.",
            "example": 1
          }
        }
      },
      "SchedulerID": {
        "type": "string",
        "description": "Scheduled PIX transaction ID",
        "example": "7b29a055-00e1-41e5-b880-aebe517b3bf6"
      },
      "SchedulerStatus2": {
        "type": "string",
        "description": "Scheduler status",
        "enum": [
          "ACTIVE",
          "INACTIVE",
          "CANCELLED",
          "COMPLETED"
        ],
        "example": "COMPLETED"
      },
      "UpdatedAt": {
        "type": "string",
        "description": "Scheduled item last updated time, RFC 3339 format",
        "example": "2024-11-14T17:54:40Z"
      }
    },
    "responses": {
      "400BadRequest": {
        "description": "Bad request",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "403Forbidden": {
        "description": "Forbidden",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "404NotFound": {
        "description": "Not found",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "500InternalServer": {
        "description": "Internal Server Error",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      }
    }
  },
  "paths": {
    "/pix/v2/pix/out/scheduler": {
      "get": {
        "summary": "List scheduled Pix transfers",
        "description": "List scheduled Pix transfers with filtering options.",
        "operationId": "list-scheduled-transfers",
        "tags": [
          "Scheduled transfers V2"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/CIDheader"
          },
          {
            "$ref": "#/components/parameters/BeginDateQuery"
          },
          {
            "$ref": "#/components/parameters/EndDateQuery"
          },
          {
            "$ref": "#/components/parameters/SchedulerStatusQuery"
          },
          {
            "$ref": "#/components/parameters/PerPageQuery"
          },
          {
            "$ref": "#/components/parameters/AfterIdQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "Response Body",
            "headers": {
              "x-cid": {
                "schema": {
                  "type": "string"
                },
                "description": "Request tracking ID."
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/scheduler.SchedulerSearchQueryResponse2"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```